## e2fsprogs 1.43.3

=== debian/changelog ===
e2fsprogs (1.43.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 04 Sep 2016 23:57:10 -0400

e2fsprogs (1.43.3-1) unstable; urgency=medium

  * Fix e2fsck's handling of timestamps on 32-bit system (Closes: #836559)
  * E2fsck will sanity check and repair the extra isize fields in inodes
    and the superblock.
  * Fix sparc64 crashes when dereferencing unaligned integers in journal
    blocks when metdata checksums are enabled.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 04 Sep 2016 20:41:21 -0400

e2fsprogs (1.43.2-2) unstable; urgency=medium

  * Fix build reproducibility problems
  * Don't hide the linker flags for e2fsck.static

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 01 Sep 2016 23:30:55 -0400

e2fsprogs (1.43.2-1) unstable; urgency=medium

  * Change the default journal size to be larger for file systems larger
    than 128 GB to improve performance on metadata-heavy workloads
  * Clarify tune2fs's message when the user needs to run e2fsck
    (Closes: #828022)
  * Fix an alignment bug in e2fsck which caused sparc64 architectures to
    crash when replaying the journal on file systems with a 64-bit block
    number
  * Fix a typo in debugfs when printing out the dtime field on file
    systems with an extended timestamp
  * Fix the logic in e2fsck which decides when to repair legacy negative
    timestamp encodings.
  * Add a command to debugfs to copy the inode structure from one inode
    to another
  * Fix resize2fs so it will not crash if there is an extended
    attribute block but it doesn't need to migate any blocks during
    an off-line resize
  * Fix a crash when mke2fs or debugfs tries to copy in a directory
    hierarchy containing an empty directory
  * Fix a bug in e2fsck caused by a power failure during e2fsck's journal
    replay could leave the file system in a state where if the file
    system is mounted without doing a full e2fsck scan, the file system
    could get corrupted
  * Fix big endian bugs in the e2undo program
  * Fix debugfs's logdump so command so it can correctly handle journals
    which are larger than 2GB
  * Add new translations: Hugarian and Serbian
  * Update the Catalan, Chinese, Danish, Dutch, French, German, Polish,
    Swedish, Ukrainian translations

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 01 Sep 2016 00:55:13 -0400

e2fsprogs (1.43.1-1) unstable; urgency=medium

  * New upstream version
  * Fix the Direct I/O fallback code in the Unix I/O manager so it
    implements read-modify-write correctly.
  * The mke2fs program will now warn if the user specifies a label which
    is too long.  (Closes: #791630)
  * Clean up various man pages (Closes: #766379, #761144, #770750,
    #428361, #766127)
  * Fix bug so that debugfs's rdump command works on the root directory
    (Closes: #766125)
  * Fix various Debian packaging issues (Closes: #825868)
  * Build fully security hardened binaries

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 07 Jun 2016 23:09:55 -0400

e2fsprogs (1.43-3) unstable; urgency=medium

  * Fix various debian packaging nits
  * Fix spelling mistakes in the copyright files
  * Fix various spelling mistakes in man pages
  * Fix project quota bugs in e2fsck and mke2fs
  * Build binaries with hardening support
  * Improve e2fsck messages when the journal superblock is corrupt and
    the user declines to fix the journal.  (Closes: #768162)
  * Fix debugfs's handling of "set_bg <bg> checksum calc" on 64-bit file
    systems.
  * Simplify the debian rules file

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 25 May 2016 00:51:33 -0400

e2fsprogs (1.43-2) unstable; urgency=medium

  * Update watch file to check for the GPG signatures
  * Use dh_update_autotools_control to update config.{guess,sub}
    automatically when building the package.
  * Only try to run update-initramfs if it exists
  * Transition to dbgsym packages

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 20 May 2016 14:07:40 -0400

e2fsprogs (1.43-1) unstable; urgency=medium

  * New upstream version
  * Fix or improve offset support in mke2fs, e2undo, and libext2fs
  * Update debian policy version to 3.9.8

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 17 May 2016 01:04:28 -0400

e2fsprogs (1.43~WIP.2016.03.15-2) sid; urgency=low

  * Fix FTBFS on big-endian systems

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 17 Mar 2016 22:55:52 -0400

e2fsprogs (1.43~WIP.2016.05.12-1) unstable; urgency=medium

  * New upstream version
  * Clean up various man pages and usage messages
  * Fix up gcc and Coverity warnings
  * Stop building static binaries using dietlibc
  * Fix potential out-of-boundary memory access in resize2fs
  * Fix sparse_super2 bugs in mke2fs and resize2fs
  * The mke2fs program will now support multiple -O options
  * The e2image program now ignores checksum error so that debugging
    snapshots of a file system can be taken of a broken file system
  * E2fsck now more cleanly handles checksum errors while replaying the
    journal
  * Fix e2fsck to not try to set a UUID if the metadata_csum feature is
    enabled since this will break the checksums
  * Fix e2image so progress information won't get leaked to stdout
  * Fix bugs in "mke2fs -E offset=NNNN" (Closes: #803629)
  * Fix Hurd portability issues (Closes: #822576)
  * Update initramfs in e2fsprogs's postinst script so the initial
    ramdisk gets the updated e2fsprogs binaries (Closes: #804237)
  * Work around texi2dvi bug which can cause build failures (Closes: #822227)
  * E2fsck now prints "REBOOT SYSTEM" instead of "REBOOT LINUX" to
    assuage the sensibilities of Hurd users (Closes: #769838)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 12 May 2016 00:18:45 -0400
