## e2fsprogs 1.43.4

=== debian/changelog ===
e2fsprogs (1.43.4-2+deb9u2.0jasp1) stretch-security; urgency=high

  * Derivative upload.
  * Recompile with multiarch interpreter.

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 05 Aug 2020 22:06:16 +0200

e2fsprogs (1.43.4-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-5188
    A specially crafted ext4 directory can cause an out-of-bounds write 
    on the stack, resulting in code execution. An attacker can corrupt a 
    partition to trigger this vulnerability.
  * If directory has been deleted in pass1[bcd] processing, then we
    shouldn't try to rehash the directory in pass 3a when we try to
    rehash/reoptimize directories. 

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Jul 2020 11:03:02 +0200

e2fsprogs (1.43.4-2+deb9u1) stretch-security; urgency=high

  * Fix CVE-2019-5094: potential buffer overrun in e2fsck (Closes: #941139)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 25 Sep 2019 19:17:45 -0400

e2fsprogs (1.43.4-2) unstable; urgency=medium

  * Re-enable metadata_csum for Debian (which was accidentally disabled
    for 1.43.4-1)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 31 Jan 2017 19:54:55 -0500

e2fsprogs (1.43.4-1) unstable; urgency=medium

  * New upstream version
  * Fix e2fsck to require that the system.data extended attribute is
    always present even for files smaller than 60 bytes, to be
    consistent with the kernel
  * Drop the hard links for mkfs.ext4dev and fsck.ext4dev
  * Clarify/update various man pages (Closes: #852726)
  * Clarify the default for the "proceed?" question printed by mke2fs
    and tune2fs.  (Closes: #852727)
  * Fix various Coverity warnings and other memory leaks in fuse2fs and
    extended attribute manipulation functions.
  * Add Finnish and Malay translations
  * Update Chinese, Czech, Polish, Serbian, and Spanish translations
    (Closes: #774379)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 31 Jan 2017 17:31:52 -0500
