=== debian/rules ===
--- 
+++ 
@@ -159,6 +159,10 @@
 LDFLAGS_SHLIB = $(LDFLAGS)
 LDFLAGS_STATIC = $(filter-out -fPIE -fpie -pie,$(LDFLAGS))
 
+ifneq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
+SKIP_UDEB := yes
+endif
+
 ifneq ($(SKIP_UDEB),)
 SKIP_BF ?= yes
 endif
@@ -228,9 +232,3 @@
 M4_ARGS+=-DUSE_DBGSYM
 else
 DBG_PACKAGES += -pe2fsprogs-dbg -pe2fslibs-dbg -plibcomerr2-dbg -plibss2-dbg
-M4_ARGS+=-UUSE_DBGSYM
-endif
-
-ifeq ($(UTIL_LINUX_NG),yes)
-M4_ARGS+=-DUTIL_LINUX_NG
-else
